export interface TypeOptions {
  type: string;
}

export interface SerializeType<Options extends TypeOptions = TypeOptions> {
  serialize: <T>(data: T, options: Options) => string;
  deserialize: <T>(serialized: string, options: Options) => T;
}
